/******************************************************************
   "keypad_ck06.h"
    -06   
         T0
   1.01    2009  21
     
   :
          keypad_ck06.h
          keypad_ck06.c
  
******************************************************************/ 

/***     *********************************
vvvvvvv
//                                                                  
interrupt [TIM0_COMP] void timer0_comp_isr(void)
{
    KeyOut=KeyPadCK06();
}  
^^^^^^^
******************************************************************/



      
/*--------------------------------------------------------------*/

extern unsigned char KeyOut;

#define  KEY_SHIFT  1           //
#define  KEY_DEL    2           //
#define  KEY_0      3           //
#define  KEY_ENTER  4           //
#define  KEY_COMMA  5           //
#define  KEY_1      6           //
#define  KEY_2      7           //
#define  KEY_3      8           //
#define  KEY_RIGHT  13          //
#define  KEY_4      14          //
#define  KEY_5      15          //
#define  KEY_6      16          //
#define  KEY_DOWN   9           //
#define  KEY_7      10          //
#define  KEY_8      11          //
#define  KEY_9      12          //
#define  KEY_ESC    18          //
#define  KEY_INS    19          //
#define  KEY_POINT  21          //
#define  KEY_F1     22          //
#define  KEY_F2     23          //
#define  KEY_F3     24          //
#define  KEY_LEFT   29          //
#define  KEY_F4     30          //
#define  KEY_F5     31          //
#define  KEY_F6     32          //
#define  KEY_UP     25          //
#define  KEY_F7     26          //
#define  KEY_F8     27          //
#define  KEY_F9     28          //

void KeyInit( void );
unsigned char KeyPadCK06( void ); 
unsigned char Key( void );
void KeyNul( void );